Change extracted information

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Use this method to update the info object that contains the personal applicant data recognized from the documents. This information is to be cross-checked with the provided applicant data (fixedInfo).

The method could be helpful if you believe the applicant documents have been recognized incorrectly and there are mistakes or typos in the extracted data.

📘

Note

If you request another check once you have updated the extracted information, there is always a chance this data will be overwritten when we run OCR for the same uploaded documents.

🚧

Attention

This endpoint must not be used to change information for a company applicant. To modify extracted company data, use the following method instead.

Request example

curl -X PATCH \
     'https://api.sumsub.com/resources/applicants/609d68bf460647000aa2d87e/info' \
     -H 'Content-Type: application/json' \
     -H 'X-App-Token: <your-app-token>' \
     -H 'X-App-Access-Sig: <your-signature>' \
     -H 'X-App-Access-Ts: <unix-timestamp>' \
     -d '{
            "firstName": "John",
            "lastName": "Doe",
            "dob": "1997-03-01",
            "placeOfBirth": "Denver",
            "countryOfBirth": "USA",
            "stateOfBirth": "Colorado"
          }'

The body must contain only the fields that you want to change; null fields are ignored.

Response explained

If the request is successfully sent and processed, in the response, you will get a JSON file with the object containing the updated data. There could also be additional fields with automatic transliteration of the provided information into Latin characters.

For example:

{
  "firstName": "John",
  "firstNameEn": "John",
  "lastName": "Doe",
  "lastNameEn": "Doe",
  "dob": "1997-03-01",
  "placeOfBirth": "Denver",
  "placeOfBirthEn": "Denver",
  "countryOfBirth": "USA",
  "stateOfBirth": "Colorado"
}

If the request fails, you will receive an HTTP response containing an error code along with a message explaining the error.

For example:

{
  "description": "Invalid id '000000000'",
  "code": 400,
  "correlationId": "3773cd5e8ad50ea28fe40553717ffe3a"
}

Path Params
string
required

Unique applicant identifier in the Sumsub system.

This identifier is a random combination of 24 digits and lowercase Latin characters. It is automatically generated when the applicant is created on the Sumsub side, and can be found in the Dashboard.

If the applicantId is unknown to you, use the Get applicant data (externalUserId) method to fetch it.

Body Params
string

Applicant first name in the original language.

string

Applicant last name in the original language.

string

Applicant middle name in the original language.

string

Alternative first/last name.

string

Legal name of the company the applicant is related to (UBO or shareholder). You can keep this information and use it for your personal navigation.

Note that the legalName field is not checked and you might need it just in case.

string
enum

Gender of the applicant (M, F, or X). This field is omitted if gender is not specified in the applicant profile.

Allowed:
string

Applicant date of birth (format YYYY-mm-dd, for example, 2001-09-25).

string

Applicant place of birth. This can be a city, a town or another settlement type.

string

Applicant country of birth. Presented as an alpha-3 country code (for example, DEU, GBR, ARG, and so on).

string

State, region, district, county or another territorial entity of birth inside a country, if applicable.

string

Applicant country. This is usually a country of the last uploaded ID document, and it may differ from the country of birth. Presented as an alpha-3 country code (for example, DEU, GBR, ARG, and so on).

string

Applicant country of origin. Presented as an alpha-3 country code (for example, DEU, GBR, ARG, and so on).

addresses
array of objects

A list of applicant addresses with address details.

addresses
string

Applicant phone number.

string

Taxpayer identification number that is unique to each taxpayer.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!